> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom URL Classifications

> List the custom URL classifications defined for a project. These complement the built-in classifications and can be assigned to URLs.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /classifications/urls
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /classifications/urls:
    get:
      tags:
        - Project
      summary: List Custom URL Classifications
      description: >-
        List the custom URL classifications defined for a project. These
        complement the built-in classifications and can be assigned to URLs.
      operationId: getClassificationsUrls
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 1000
            type: number
            minimum: 1
            maximum: 10000
        - name: offset
          in: query
          required: false
          schema:
            default: 0
            type: number
            minimum: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Tutorial
                        color:
                          type: string
                          example: orange
                      required:
                        - name
                        - color
                  total_count:
                    type: number
                    example: 5
                    description: >-
                      Total number of matching custom URL classifications,
                      ignoring pagination
                  totalCount:
                    type: number
                    example: 5
                    description: >-
                      Total number of matching custom URL classifications,
                      ignoring pagination
                    deprecated: true
                required:
                  - data
                  - total_count
                  - totalCount
                description: Success
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````